# Wikipedia Scraper
Module to scrape content from Wikipedia
[Documentation](https://bochilteam.github.io/scraper/modules/_bochilteam_scraper_wikipedia.html)

## Installation
```sh
npm i @bochilteam/scraper-others
```

## Usage 
Example get information from [Wikipedia](https://www.wikipedia.org/) about Minecraft
```ts
// Import module
import { wikipedia } from '@bochilteam/scraper-wikipedia'

const data = await wikipedia('Minecraft', 'en') // 'en' as lang
console.log(data) // JSON
```
## Example Response
```json
{
    "title": "Minecraft",
    "images": [],
    "articles": "Minecraft is a 2011 sandbox game developed and published by Mojang Studios. Originally created by Markus \"Notch\" Persson using the Java programming language, it was developed over the span of two years, with many public test builds being released from May 2009 until its full release on 18 November 2011. After the game's full release, Persson gave Jens \"Jeb\" Bergensten control over the game's development. In the years since its release, it has been ported to several platforms, including smartphones and various video game consoles, primarily by 4J Studios. Minecraft has become the best-selling video game in history, with over 300 million copies sold and nearly 140 million monthly active players as of 2023[update].\n\nIn Minecraft, players explore a procedurally generated, three-dimensional world with virtually infinite terrain made up of \"voxels\". Players can discover and extract raw materials, craft tools and items, and build structures, earthworks, and machines. Depending on their chosen game mode, players can fight hostile mobs, as well as cooperate with or compete against other players. The game has two main modes; one being survival mode, where players must acquire resources to survive, and a creative mode where players have unlimited resources and the ability to fly. Several other game modes exist besides the two main ones, such as one that allows players to spectate others and one that plays identically to survival mode, but features permadeath. The game's large community also offers a wide variety of user-generated content, such as modifications, servers, skins, texture packs, and custom maps, which add new game mechanics and possibilities.\n\nMinecraft has received critical acclaim, winning several awards and being cited as one of the greatest video games ever created; social media, parodies, adaptations, merchandise, and the annual Minecon conventions played prominent roles in popularizing the game. The game has also been used in educational environments to teach chemistry, computer-aided design, and computer science. In 2014, Mojang and the Minecraft intellectual property were purchased by Microsoft for US$2.5 billion. Several spin-offs have also been made, including Minicraft, Minecraft: Story Mode, Minecraft Earth, Minecraft Dungeons, and Minecraft Legends. In addition, a live-action film of the same name is scheduled for a theatrical release in 2025.\n\n\nGameplay\n\nMinecraft is a 3D sandbox video game that has no required goals to accomplish, allowing players a large amount of freedom in choosing how to play the game.[3] The game also features an optional achievement system.[4] Gameplay is in the first-person perspective by default, but players have the option of a third-person perspective.[5] The game world is composed of rough 3D objects—mainly cubes and fluids, commonly referred to as \"blocks\"—representing various materials, such as dirt, stone, ores, tree trunks, water, and lava. The core gameplay revolves around picking up and placing these objects. These blocks are arranged in a 3D grid, while players can move freely around the world. Players can \"mine\" blocks and then place them elsewhere, enabling them to build things.[6] The game also contains a material called redstone, which can be used to make primitive mechanical devices, electrical circuits, and logic gates, allowing for the construction of many complex systems.[7][8] Many commentators have described the game's physics system as unrealistic.[9]\n\nThe game world is virtually infinite and procedurally generated as players explore it, using a map seed that is obtained from the system clock at the time of world creation (or manually specified by the player).[10][11][12] While there are limits on the worlds verticality, Minecraft allows an infinitely large game world to be generated on the horizontal plane, up to 30 million blocks from the worlds center.[13] The game achieves this by splitting the world data into smaller 16 by 16 sections called \"chunks\" that are created or loaded only when players are nearby.[10] The world is divided into biomes ranging from deserts to jungles to snowfields;[14][15] the terrain includes plains, mountains, forests, caves, and bodies of water or lava.[12] The in-game time system follows a day and night cycle, with one full cycle lasting for 20 real-time minutes.[16]\n\nNew players are given a randomly selected default character skin out of 9 possibilities, including Steve or Alex,[17][18] but are able to create and upload their own skins.[19] Players encounter various mobs, such as animals, villagers, and hostile creatures.[20][21] Passive mobs, such as cows, pigs, and chickens, can be hunted for food and crafting materials. They spawn in the daytime, while hostile mobs—including large spiders, witches, creepers, skeletons, endermen, and zombies—spawn during nighttime or in dark places such as caves.[citation needed] Some hostile mobs, such as zombies, skeletons and drowned (underwater versions of zombies), burn under the sun if they have no headgear.[citation needed] Other creatures unique to Minecraft include the creeper (an exploding creature that sneaks up on the player) and the enderman (a creature with the ability to teleport as well as pick up and place blocks).[22] There are also variants of mobs that spawn in different conditions; for example, zombies have husk and drowned variants that spawn in deserts and oceans, respectively.[23]\n\n\nDimensions\n\nMinecraft has two alternative dimensions besides the Overworld (the main world): the Nether and the End.[22]\n\n\nThe Nether\n\nThe Nether is a hell-like underworld dimension accessed via a player-built portal out of obsidian; newer versions of the game feature naturally generated damaged portals that the player can repair.[24] It contains many unique resources and can be used to travel great distances in the Overworld, due to every block traveled in the Nether being equivalent to 8 blocks traveled in the Overworld.[25] Mobs that populate the nether include pigman-like mobs called piglins and their zombified counterparts.[26] The piglins in particular have a bartering system, where players can give them gold ingots and receive items in return.[27] The player can also build an optional boss mob called The Wither out of materials found in the Nether.[28]\n\n\nThe End\n\nThe End is reached by underground portals in the Overworld. It consists of islands floating above a dark, bottomless void. A boss enemy called the Ender Dragon guards the largest, central island.[29] Killing the dragon opens access to an exit portal, which, when entered, cues the game's ending credits and the End Poem, a roughly 1,500-word work written by Irish novelist Julian Gough,[30] which takes about nine minutes to scroll past[31] and is the game's only narrative text[32] and the only text of significant length directed at the player.[33]: 10–12  At the conclusion of the credits, the player is teleported back to their respawn point and may continue the game indefinitely.[34]\n\n\nGame modes\n\n\nSurvival mode\n\nIn survival mode, players have to gather natural resources such as wood and stone found in the environment in order to craft certain blocks and items.[12] Depending on the difficulty, monsters spawn in darker areas outside a certain radius of the character, requiring players to build a shelter at night.[12] The mode also has a health bar which is depleted by attacks from mobs, falls, drowning, falling into lava, suffocation, starvation, and other events. Players also have a hunger bar, which must be periodically refilled by eating food in-game unless the player is playing on \"peaceful\".[35] If the hunger bar is depleted, automatic healing stops and eventually health depletes. Health replenishes when players have a nearly full hunger bar or continuously on peaceful difficulty.[35]\n\nPlayers can craft a wide variety of items in Minecraft. Craftable items include armor, which mitigates damage from attacks; weapons (such as swords or axes), which allows monsters and animals to be killed more easily; and tools (such as pickaxes or hoes), which break certain types of blocks more quickly. Some items have multiple tiers depending on the material used to craft them, with higher-tier items being more effective and durable. Players can construct furnaces, which can cook food, process ores, and convert materials into other materials.[36] Players may also exchange goods with a villager (NPC) through a trading system, which involves trading emeralds for different goods and vice versa.[37][20]\n\nThe game has an inventory system, allowing players to carry a limited number of items.[38] Upon dying, items in the players' inventories are dropped unless the game is reconfigured not to do so. Players then re-spawn at their spawn point, which by default is where players first spawn in the game and can be reset by sleeping in a bed[39] or using a \"respawn anchor\".[40] Dropped items can be recovered if players can reach them before they disappear or despawn after 5 minutes. Players may acquire experience points by killing mobs and other players, mining, smelting ores, breeding animals, and cooking food. Experience can then be spent on enchanting tools, armor and weapons.[citation needed] Enchanted items are generally more powerful, last longer, or have other special effects.[41][unreliable source?]\n\nThe game features two more game modes based on survival, known as \"hardcore mode\" and \"adventure mode\". Hardcore mode plays identically to survival mode, but features permadeath, forcing players to delete the world or explore it as a spectator after death.[42] As of July 2024, it is only available on Java Edition.[43] Adventure mode was added to the game in a post-launch update,[44] and prevents the player from directly modifying the game's world. It was designed primarily for use in custom maps, allowing map designers to let players experience it as intended.[44][45]\n\n\nCreative mode\n\nIn creative mode, players have access to nearly all resources and items in the game through the inventory menu and can place or remove them instantly.[46] Players can toggle the ability to fly freely around the game world at will, and their characters do not take any damage and are not affected by hunger.[47][48] The game mode helps players focus on building and creating projects of any size without disturbance.[46]\n\n\nMultiplayer\n\nSee also: Minecraft server\n\nMultiplayer in Minecraft enables multiple players to interact and communicate with each other on a single world. It is available through direct game-to-game multiplayer, LAN play, local split screen (console-only), and servers (player-hosted and business-hosted).[49] Players can run their own servers, use a hosting provider, or connect directly to another player's game via Xbox Live. Single-player worlds have local area network support, allowing players to join a world on locally interconnected computers without a server setup.[50] Minecraft multiplayer servers are guided by server operators, who have access to server commands such as setting the time of day and teleporting players. Operators can also set up restrictions concerning which usernames or IP addresses are allowed or disallowed to enter the server.[49] Multiplayer servers have a wide range of activities, with some servers having their own unique rules and customs. The largest and most popular server is Hypixel, which has been visited by over 14 million unique players.[51][52] Player versus player combat (PvP) can be enabled to allow fighting between players.[53]\n\n\nMinecraft Realms\n\nIn 2013, Mojang announced Minecraft Realms, a server hosting service intended to enable players to run server multiplayer games easily and safely without having to set up their own.[54][55] Unlike a standard server, only invited players can join Realms servers, and these servers do not use IP addresses. Minecraft: Java Edition Realms server owners can invite up to twenty people to play on their server, with up to ten players online at a time. Minecraft Realms server owners can invite up to 3,000 people to play on their server, with up to ten players online at one time.[56] The Minecraft: Java Edition Realms servers do not support user-made plugins, but players can play custom Minecraft maps.[57] Minecraft Realms servers support user-made add-ons, resource packs, behavior packs, and custom Minecraft maps.[56] At Electronic Entertainment Expo 2016, support for cross-platform play between Windows 10, iOS, and Android platforms was added through Realms starting in June 2016,[58] with Xbox One and Nintendo Switch support to come later in 2017,[59] and support for virtual reality devices. On 31 July 2017, Mojang released the beta version of the update allowing cross-platform play.[60] Nintendo Switch support for Realms was released in July 2018.[61]\n\n\nCustomization\n\nSee also: Minecraft modding\n\nThe modding community consists of fans, users and third-party programmers. Using a variety of application program interfaces that have arisen over time, they have produced a wide variety of downloadable content for Minecraft, such as modifications, texture packs and custom maps. Modifications of the Minecraft code, called mods, add a variety of gameplay changes, ranging from new blocks, items, and mobs to entire arrays of mechanisms.[62][63] The modding community is responsible for a substantial supply of mods from ones that enhance gameplay, such as mini-maps, waypoints, and durability counters, to ones that add to the game elements from other video games and media.[citation needed] While a variety of mod frameworks were independently developed by reverse engineering the code, Mojang has also enhanced vanilla Minecraft with official frameworks for modification, allowing the production of community-created resource packs, which alter certain game elements including textures and sounds.[64] Players can also create their own \"maps\" (custom world save files) that often contain specific rules, challenges, puzzles and quests, and share them for others to play.[65] Mojang added an adventure mode in August 2012[66] and \"command blocks\" in October 2012,[45] which were created specially for custom maps in Java Edition. Data packs, introduced in version 1.13 of the Java Edition, allow further customization, including the ability to add new advancements, dimensions, functions, loot tables, predicates, recipes, structures, tags, world generation settings, and biomes‌.[67][68]\n\nThe Xbox 360 Edition supported downloadable content, which was available to purchase via the Xbox Games Store; these contennt packs usually contained additional character skins.[69] It later received support for texture packs in its twelfth title update while introducing \"mash-up packs\", which combined texture packs with skin packs and changes to the game's sounds, music and user interface.[70] The first mash-up pack (and by extension, the first texture pack) for the Xbox 360 Edition was released on 4 September 2013, and was themed after the Mass Effect franchise.[71] Unlike Java Edition, however, the Xbox 360 Edition did not support player-made mods or custom maps.[72] A cross-promotional resource pack based on the Super Mario franchise by Nintendo was released for the Wii U Edition worldwide on 17 May 2016.[73] A mash-up pack based on Fallout was announced for release on the Wii U Edition.[74] In April 2018, malware was discovered in several downloadable user-made Minecraft skins for use with the Java Edition of the game.[75][76] Avast stated that nearly 50,000 accounts were infected, and when activated, the malware would attempt to reformat the user's hard drive.[76][75] Mojang promptly patched the issue, and released a statement stating that \"the code would not be run or read by the game itself\",[75] and would run only when the image containing the skin itself was opened.[77]\n\nIn June 2017, Mojang released an update known as the \"Discovery Update\" to the Bedrock version of the game.[78] The update includes a new map, a new game mode, the \"Marketplace\", a catalogue of user-generated content that gives Minecraft creators \"another way to make a living from the game\", and more.[79][80][81]\n\n\nDevelopment\n\nBefore coming up with Minecraft, Markus \"Notch\" Persson was a game developer with King through March 2009, at the time serving mostly browser games, during which he learned a number of different programming languages.[82] He would prototype his own games during his off-hours at home, often based on inspiration he found from other games, and participated frequently on the TIGSource forums for independent developers.[82] One of these personal projects was called \"RubyDung\", a base-building game inspired by Dwarf Fortress, but as an isometric three dimensional game like RollerCoaster Tycoon.[83] He had already made a 3D texture mapper for another zombie game prototype he had started to try to emulate the style of Grand Theft Auto: Chinatown Wars.[84] Among the features in \"RubyDung\" he explored was a first-person view similar to Dungeon Keeper but at the time, felt the graphics were too pixelated and omitted this mode.[84][85] Around March 2009, Persson left King and joined jAlbum, but otherwise kept working on his prototypes.[86][85][87]\n\nInfiniminer, a block-based open-ended mining game first released in April 2009, sparked Persson's inspiration for how to take \"RubyDung\" forward.[84] Infiniminer heavily influenced the visual style of gameplay, including bringing back the first-person mode, the \"blocky\" visual style and the block-building fundamentals.[84] However, unlike Infiniminer, Persson wanted Minecraft to have RPG elements.[88]\n\nOn 15 September 2014, Microsoft announced a $2.5 billion deal to buy Mojang, along with the ownership of the Minecraft intellectual property.[89][90][91] The deal was suggested by Persson when he posted a tweet asking a corporation to buy his share of the game after receiving criticism for enforcing terms in the game's end-user license agreement (EULA), which had been present in the EULA in the prior three years.[92][93][94] According to Persson, Mojang CEO Carl Manneh received a call from a Microsoft executive shortly after the tweet, asking if Persson was serious about a deal. Mojang was also approached by other companies including Activision Blizzard and Electronic Arts.[94] The deal with Microsoft was arbitrated on 6 November 2014 and led to Persson becoming one of Forbes' \"World's Billionaires\".[95][96][97][94]\n\nSince the first full release of Minecraft, dubbed the \"Adventure Update\", the game has been continuously updated with many major updates, available for free to users who have already purchased the game.[98] Early updates frequently introduced gameplay-altering mechanics while more recent updates tend to enhance the game through additional content or tweaks to existing features.[99][better source needed] The most recent major update to the game was \"Tricky Trials\", which released in June 2024 and added new creatures, structure and items.[100]\n\nThe original version of the game was renamed to Minecraft: Java Edition on 18 September 2017 to separate it from Bedrock Edition, which was renamed to just Minecraft by the Better Together Update.[101]\n\nThe Bedrock Edition has also been regularly updated, with these updates now matching the themes of Java Edition updates. Other versions of the game such as the various console editions and Pocket Edition were either merged into Bedrock or discontinued and as such have not received further updates.[101]\n\nOn 16 April 2020, a Bedrock Edition-exclusive beta version of Minecraft called Minecraft RTX implementing physically based rendering, real-time path tracing,[102] and DLSS was released by Nvidia on RTX-enabled GPUs.[103] The public release version was made available on 8 December 2020.[104] Path tracing can only be enabled on supported worlds that can be downloaded for free via the in-game Minecraft Marketplace,[105] with a texture pack that can be downloaded from Nvidia's website,[105] or with compatible third-party texture packs;[106] it cannot simply be enabled by default with any texture pack on any world.[107] However, according to Nvidia, it will be possible to activate the feature directly in-game in the future.[108] In the beginning, Minecraft RTX was affected by many bugs and display errors,[109] some of which have not been fixed to this day.\n\n\nEditions\n\n\nMinecraft: Java Edition\n\nThe original edition of Minecraft, now known as the Java Edition, was first developed in May 2009. Persson released a test video on YouTube of an early version of Minecraft.[84][110] The base program of Minecraft was completed by Persson over a weekend in that month and a private testing was released on TigIRC on 16 May 2009.[111] The game was first released to the public on 17 May 2009 as a developmental release on TIGSource forums.[112] Persson updated the game based on feedback from the forums.[82][113] This version later became known as the Classic version.[114] Further developmental phases dubbed as Survival Test, Indev, and Infdev were released in 2009 and 2010.[85]\n\nThe first major update, dubbed Alpha, was released on 30 June 2010.[115][116] Although Persson maintained a day job with Jalbum.net at first, he later quit in order to work on Minecraft full-time as sales of the alpha version of the game expanded.[117] Persson continued to update the game with releases distributed to users automatically. These updates included new items, new blocks, new mobs, survival mode, and changes to the game's behavior (e.g. how water flows).[117] To back the development of Minecraft, Persson set up a video game company, Mojang, with the money earned from the game.[118][119][120] Mojang co-founders included Jakob Porser, one of Persson's coworkers from King, and Carl Manneh, jAlbum's CEO.[82]\n\nOn 11 December 2010, Persson announced that Minecraft was entering its beta testing phase on 20 December 2010.[121] He further stated that bug fixes and all updates leading up to and including the release would still be free.[122] Over the course of the development, Mojang hired several new employees to work on the project.[123]\n\nMojang moved the game out of beta and released the full version on 18 November 2011.[2] On 1 December 2011, Jens \"Jeb\" Bergensten took full creative control over Minecraft, replacing Persson as lead designer.[124] On 28 February 2012, Mojang announced that they had hired the developers of the popular \"Bukkit\" developer API for Minecraft,[53] to improve Minecraft's support of server modifications.[125] This acquisition also included Mojang apparently taking full ownership of the CraftBukkit server mod that enables the use of Bukkit,[126] although the validity of this claim was questioned due to its status as an open-source project with many contributors, licensed under the GNU General Public License and Lesser General Public License.[127]\n\n\nMinecraft: Pocket Edition\n\n\"Pocket Edition\" redirects here. For the type of book, see Pocket edition.\n\nIn August 2011, Minecraft: Pocket Edition was released for the Xperia Play on the Android Market as an early alpha version. It was then released for several other compatible devices on 8 October 2011.[128][129] An iOS version of Minecraft was released on 17 November 2011.[130] A port was made available for Windows Phones shortly after Microsoft acquired Mojang.[131] The port concentrates on the creative building and the primitive survival aspect of the game and did not contain all the features of the PC release.[citation needed] On his Twitter account, Jens Bergensten said that the Pocket Edition of Minecraft is written in C++ and not Java, due to iOS not being able to support Java.[132] However, there now exists a way to play Java Edition unofficially on both Android and iOS devices.[133][134]\n\nOn 10 December 2014, a port of Pocket Edition was released for Windows Phone 8.1.[135] In January 2017, Microsoft announced that it would no longer maintain the Windows Phone versions of Pocket Edition.[136] On 19 December 2016, the full version of Minecraft: Pocket Edition was released on iOS, Android, and Windows Phone.\n\nPocket Edition was remade into the Bedrock Edition in 2017, enabling cross-platform play with the Xbox One and Nintendo Switch Editions.[137]\n\n\nLegacy Console Editions\n\nAn Xbox 360 version of the game, developed by 4J Studios, was released on 9 May 2012.[138][139] On 22 March 2012, it was announced that Minecraft would be the flagship game in a new Xbox Live promotion called Arcade NEXT.[139] The game differs from the home computer versions in a number of ways, including a newly designed crafting system, the control interface, in-game tutorials, split-screen multiplayer, and the ability to play with friends via Xbox Live.[140][141] The worlds in the Xbox 360 version are also not \"infinite\", and are essentially barricaded by invisible walls.[141] The Xbox 360 version was originally similar in content to older PC versions, but was gradually updated to bring it closer to the current PC version prior to its discontinuation.[138][142][143] An Xbox One version featuring larger worlds among other enhancements[144] was released on 5 September 2014.[144]\n\nVersions of the game for the PlayStation 3 and PlayStation 4 were released on 17 December 2013 and 4 September 2014 respectively.[145] The PlayStation 4 version was announced as a launch title, though it was eventually delayed.[146][147] A version for PlayStation Vita was also released in October 2014.[148] Like the Xbox versions, the PlayStation versions were developed by 4J Studios.[149]\n\nOn 17 December 2015, Minecraft: Wii U Edition was released. The Wii U version received a physical release on 17 June 2016 in North America,[150] in Japan on 23 June 2016,[151] and in Europe on 30 June 2016.[152] A Nintendo Switch version of the game was released on the Nintendo eShop on 11 May 2017, along with a physical retail version set for a later date.[153] During a Nintendo Direct presentation on 13 September 2017, Nintendo announced that Minecraft: New Nintendo 3DS Edition would be available for download immediately after the livestream, and a physical copy available on a later date. The game is compatible only with the New 3DS and New 3DS XL or New 2DS XL systems and does not work with the original 3DS and 3DS XL or 2DS systems.[154]\n\nOn 20 September 2017, the Better Together Update was released on the Xbox One, Windows 10, VR, and mobile versions of the game, which used the Pocket Edition engine to enable cross-platform play between each of these versions. This version of the game eventually became known as the Bedrock Edition.[155] Shortly after, the Bedrock Edition was also ported to the Nintendo Switch.\n\nOn 18 December 2018, the PlayStation 3, PlayStation Vita, Xbox 360, and Wii U versions of Minecraft received their final update and would later become known as Legacy Console Editions.[156]\n\nOn 15 January 2019, the New Nintendo 3DS version of Minecraft received its final update, effectively becoming discontinued as well.[157]\n\nThe PlayStation 4 version of Minecraft was updated in December 2019 and became part of the Bedrock Edition, which enabled cross-platform play for users with a free Xbox Live account.[158]\n\n\nMinecraft Education\n\nMinecraft Education (known as Minecraft: Education Edition until December 2022)[159] is an educational version of the game, designed specifically for use in educational establishments such as schools, and built off of the Bedrock Edition codebase. It is available on Windows 10, Android, MacOS, iPadOS, and ChromeOS.[160][161] It includes a Chemistry Resource Pack,[162] free lesson plans available online, and two free companion applications: Code Connection and Classroom Mode.[163]\n\nAn initial beta test was carried out between 9 June and 1 November 2016.[164] The full game was then released on Windows 10 and MacOS on 1 November 2016.[165] On 20 August 2018, Mojang announced that it would bring Education Edition to iPadOS in Autumn 2018. It was released to the App Store on 6 September 2018.[166] On 27 March 2019, it was announced that it would be operated by JD.com in China.[167] On 26 June 2020, a public beta for the Education Edition was made available to Google Play Store compatible Chromebooks. The full game was released to the Google Play Store for Chromebooks on 7 August 2020.[161]\n\n\nMinecraft: China Edition\n\nOn 20 May 2016, Minecraft: China Edition was announced as a localized edition for China, where it was released under a licensing agreement between NetEase and Mojang.[168] The PC edition was released for public testing on 8 August 2017. The iOS version was released on 15 September 2017, and the Android version was released on 12 October 2017.[169][170][171] The PC edition is based on the original Java Edition, while the iOS and Android mobile version is based on the Bedrock Edition. The edition is free-to-play and had over 300 million players by November 2019.[172]\n\n\nOther PC versions\n\nApart from Minecraft: Java Edition, there are other versions of Minecraft for PC, including Minecraft for Windows, Minecraft Classic, Minecraft 4K, and a version for the Raspberry Pi.\n\nMinecraft for Windows is exclusive to Microsoft's Windows 10 and Windows 11 operating systems. The beta release for Windows 10 launched on the Windows Store on 29 July 2015.[173]\n\nAfter nearly one and a half years in beta, Microsoft fully released Minecraft for Windows on 19 December 2016. Called the \"Ender Update\", this release implemented new features to this version of Minecraft like world templates and add-on packs.[174] This version has the ability to play with Xbox Live friends, and to play local multiplayer with owners of Minecraft on other Bedrock platforms. Other features include the ability to use multiple control schemes such as a gamepad, keyboard, or touchscreen (for Microsoft Surface and other touchscreen-enabled devices). Virtual reality support has been implemented, as well as the ability to record and take screenshots in-game via the Windows built-in GameDVR.[175]\n\nAs of 7 June 2022, the Java and Bedrock Editions of Minecraft for Windows were merged into a single title for purchase; those who owned one version would automatically gain access to the other version. Both game versions would otherwise remain separate.[176]\n\nMinecraft 4K is a simplified version of Minecraft similar to the Classic version that was developed for the Java 4K Game Programming Contest \"in way less than 4 kilobytes\".[177] The map itself is finite—composed of 64×64×64 blocks—and the same world is generated every time. Players are restricted to placing or destroying blocks, which consist of grass, dirt, stone, wood, leaves, and brick.[178]\n\nA version of Minecraft for the Raspberry Pi was officially revealed at Minecon 2012. The Pi Edition is based on an alpha version of Pocket Edition with the added ability of using text commands to edit the game world. Players can open the game code and use the Python programming language to manipulate things in the game world.[179] It also includes a scripting API to modify the game, and server software for multiplayer. The game was leaked on 20 December 2012, but was quickly pulled off.[180] It was officially released on 11 February 2013.[181] Mojang stopped providing updates to Minecraft: Raspberry Pi Edition in 2016. It is preinstalled on Raspberry Pi OS and can be downloaded for free from the official Minecraft website.[182]\n\n\nVariants\n\nMain article: Minecraft (franchise)\n\nFor the tenth anniversary of the game's release, Mojang remade a version of Minecraft Classic in JavaScript and made it available to play online.[183][184] It functions much the same as creative mode, allowing players to build and destroy any and all parts of the world either alone or in a multiplayer server. Environmental hazards such as lava do not damage players, and some blocks function differently since their behavior was later changed during development.[185][186][187]\n\nAround 2011, prior to Minecraft's full release, there had been collaboration between Mojang and The Lego Group to make a Lego brick-based Minecraft game to be called Brickcraft. This would have modified the base Minecraft game to use Lego bricks, which meant adapting the basic 1×1 block to account for larger pieces typically used in Lego sets. Persson had worked on the preliminary version of this game, which he had named \"Project Rex Kwon Do\" based on the joke from Napoleon Dynamite. Lego had greenlit the project to go forward, and while Mojang had put two developers on the game for six months, they later opted to cancel the project, as Mojang felt that the Lego Group were too demanding on what they could do, according to Mojang's Daniel Kaplan. The Lego Group had considered buying out Mojang to complete the game, but at this point Microsoft made its offer to buy the company for over $2 billion. According to the Lego Group's Ronny Scherer, the company was not yet sure of the potential success of Minecraft at this point and backed off from acquisition after Microsoft brought this offer to Mojang.[188]\n\n\nVirtual reality\n\nEarly on, Persson planned to support the Oculus Rift with a port of Minecraft. However, after Facebook acquired Oculus in 2013, he abruptly canceled plans noting \"Facebook creeps me out.\"[189] A community-made modification known as Minecraft VR was developed in 2016 to provide virtual reality support to Minecraft: Java Edition oriented toward Oculus Rift hardware. A fork of the Minecraft VR modification known as Vivecraft ported the mod to OpenVR, and is oriented toward supporting HTC Vive hardware.[190] On 15 August 2016, Microsoft launched official Oculus Rift support for Minecraft on Windows 10.[190] Upon its release, the Minecraft VR mod was discontinued by its developer due to trademark complaints issued by Microsoft, and Vivecraft was endorsed by the community makers of the Minecraft VR modification due to its Rift support and being superior to the original Minecraft VR mod.[190] Also available is a Gear VR version, titled Minecraft: Gear VR Edition.[191] Windows Mixed Reality support was added in 2017. On 7 September 2020, Mojang Studios announced that the PlayStation 4 version of the game would be getting PlayStation VR support in the same month.[192] The only officially supported VR versions of Minecraft are the PlayStation 4 version, Minecraft: Gear VR Edition and Minecraft for Windows 10 for Oculus Rift and Windows Mixed Reality headsets.[193][192]\n\n\nMusic and sound design\n\nMain article: Music of Minecraft\n\nMinecraft's music and sound effects were produced by German musician Daniel Rosenfeld, better known as C418.[194] To create the sound effects for the game, Rosenfeld made extensive use of foley techniques. On learning the processes for the game, he remarked, \"Foley’s an interesting thing, and I had to learn its subtleties. Early on, I wasn’t that knowledgeable about it. It’s a whole trial-and-error process. You just make a sound and eventually you go, “Oh my God, that’s it! Get the microphone!” There’s no set way of doing anything at all.\"[195][196]  He reminisced on creating the in-game sound for grass blocks, stating \"It turns out that to make grass sounds you don’t actually walk on grass and record it, because grass sounds like nothing. What you want to do is get a VHS, break it apart, and just lightly touch the tape.\" According to Rosenfeld, his favorite sound to design for the game was the hisses of spiders. He elaborates, \"I like the spiders. Recording that was a whole day of me researching what a spider sounds like. Turns out, there are spiders that make little screeching sounds, so I think I got this recording of a fire hose, put it in a sampler, and just pitched it around until it sounded like a weird spider was talking to you.\"[195]\n\nMany sounds for the game were created accidentally or spontaneously. On the creation for the sound for the creeper, Rosenfeld recalled, \"That was just a complete accident by Markus and me  [sic]. We just put in a placeholder sound of burning a matchstick. It seemed to work hilariously well, so we kept it.\"[197] On other sounds, such as those of the zombie, Rosenfeld remarked, \"I actually never wanted the zombies so scary. I intentionally made them sound comical. It’s nice to hear that they work so well [...].\"[197] Rosenfeld remarked that the sound engine was \"terrible\" to work with, remembering \"If you had two song files at once, it [the game engine] would actually crash. There were so many more weird glitches like that the guys never really fixed because they were too busy with the actual game and not the sound engine.\"[196]\n\nThe background music in Minecraft is instrumental ambient music.[198] To compose the music of Minecraft, Rosenfeld used the package from Ableton Live, along with several additional plug-ins. Speaking on them, Rosenfeld said \"They can be pretty much everything from an effect to an entire orchestra. Additionally, I’ve got some synthesizers that are attached to the computer. Like a Moog Voyager, Dave Smith Prophet 08 and a Virus TI.\"[197] On 4 March 2011, Rosenfeld released a soundtrack titled Minecraft – Volume Alpha; it includes most of the tracks featured in Minecraft, as well as other music not featured in the game.[199] Kirk Hamilton of Kotaku chose the music in Minecraft as one of the best video game soundtracks of 2011.[200] On 9 November 2013, Rosenfeld released the second official soundtrack, titled Minecraft – Volume Beta, which includes the music that was added in later versions of the game.[201][202] A physical release of Volume Alpha, consisting of CDs, black vinyl, and limited-edition transparent green vinyl LPs, was issued by indie electronic label Ghostly International on 21 August 2015.[203][204] On 14 August 2020, Ghostly released Volume Beta on CD and vinyl, with alternate color LPs and lenticular cover pressings released in limited quantities.[205][206]\n\nRosenfeld's music remained the only music in the game until in 2020, \"The Nether Update\" had a new composer, Lena Raine. Since then, other composers have made contributions, with Raine remaining as the new primary composer, such as in 1.18 \"Caves & Cliffs\" soundtrack, along with Kumi Tanioka, 1.19 \"The Wild Update\" soundtrack with Samuel Åberg, and 1.20 \"Trails and Tales\" Soundtrack, with the addition of Aaron Cherof's music. Ownership of all music besides Rosenfeld's independently released albums has been retained by Microsoft, with their label publishing all of the other artists' releases. Gareth Coker also composed some of the music for the game's mini games from the Legacy Console editions.[207][208][209][210]\n\nRosenfeld had stated his intent to create a third album of music for the game in a 2015 interview with FACT Magazine,[195] and confirmed its existence in a 2017 tweet, stating that his work on the record as of then had tallied up to be longer than the previous two albums combined, which in total clocks in at over 3 hours and 18 minutes.[211] However, due to licensing issues with Microsoft, the third volume has since not seen release. On 8 January 2021, Rosenfeld was asked in an interview with Anthony Fantano whether or not there was still a third volume of his music intended for release. Rosenfeld responded, saying, \"I have something—I consider it finished—but things have become complicated, especially as Minecraft is now a big property, so I don't know.\"[212]\n\n\nReception\n\nReceptionAggregate scoreAggregatorScoreMetacritic(PC) 93/100[213](PS4) 89/100[214](XONE) 88/100[215](PS3) 86/100[216](NS) 86/100[217](VITA) 84/100[218](X360) 82/100[219](WIIU) 77/100[220](3DS) 62/100[221](iOS) 53/100[222]Review scoresPublicationScore1Up.com(PC) A+[223]Edge(PC) 9/10[224]Eurogamer(PC) 10/10[22](X360) 9/10[225]Game Informer(PC) 9.25/10[226](X360) 8.75/10[227]GameSpot(PC) 8.5/10[228](X360) 7.0/10[141]GameSpy(PC) [229]IGN(PC) 9.0/10[230](iOS) 7.5/10[231](X360) 8.5/10[72](PS3) 9.5/10[232](PS4) 9.7/10[233](XONE) 9.7/10[233](VITA) 9.5/10[232](NS) 9.5/10[234]Nintendo Life(WII U) 7.5/10[238](3DS) 6.6/10[239](NS) 8.2/10[240]PC Gamer (US)(PC) 96/100[235]TouchArcade(iOS) [236](Version 0.12) [237]\n\n\nCritics\n\nEarly versions of Minecraft received critical acclaim, praising the creative freedom it grants players in-game, as well as the ease of enabling emergent gameplay.[241][242][243] Critics have praised Minecraft's complex crafting system, commenting that it is an important aspect of the game's open-ended gameplay.[228] Most publications were impressed by the game's \"blocky\" graphics, with IGN describing them as \"instantly memorable\".[3] Reviewers also liked the game's adventure elements, noting that the game creates a good balance between exploring and building.[228] The game's multiplayer feature has been generally received favorably, with IGN commenting that \"adventuring is always better with friends\".[3] Jaz McDougall of PC Gamer said Minecraft is \"intuitively interesting and contagiously fun, with an unparalleled scope for creativity and memorable experiences\".[235] It has been regarded as having introduced millions of children to the digital world, insofar as its basic game mechanics are logically analogous to computer commands.[244]\n\nIGN was disappointed about the troublesome steps needed to set up multiplayer servers, calling it a \"hassle\".[3] Critics also said that visual glitches occur periodically.[228] Despite its release out of beta in 2011, GameSpot said the game had an \"unfinished feel\", adding that some game elements seem \"incomplete or thrown together in haste\".[228]\n\nA review of the alpha version, by Scott Munro of the Daily Record, called it \"already something special\" and urged readers to buy it.[245] Jim Rossignol of Rock Paper Shotgun also recommended the alpha of the game, calling it \"a kind of generative 8-bit Lego Stalker\".[246] On 17 September 2010, gaming webcomic Penny Arcade began a series of comics and news posts about the addictiveness of the game.[247] The Xbox 360 version was generally received positively by critics, but did not receive as much praise as the PC version. Although reviewers were disappointed by the lack of features such as mod support and content from the PC version, they acclaimed the port's addition of a tutorial and in-game tips and crafting recipes, saying that they make the game more user-friendly.[72] The Xbox One Edition was one of the best received ports, being praised for its relatively large worlds.[248]\n\nThe PlayStation 3 Edition also received generally favorable reviews, being compared to the Xbox 360 Edition and praised for its well-adapted controls.[249] The PlayStation 4 edition was the best received port to date, being praised for having 36 times larger worlds than the PlayStation 3 edition and described as nearly identical to the Xbox One edition.[250][248][214] The PlayStation Vita Edition received generally positive reviews from critics but was noted for its technical limitations.[251]\n\nThe Wii U version received generally positive reviews from critics but was noted for a lack of GamePad integration.[252] The 3DS version received mixed reviews, being criticized for its high price, technical issues, and lack of cross-platform play.[253] The Nintendo Switch Edition received fairly positive reviews from critics, being praised, like other modern ports, for its relatively larger worlds.[254]\n\nMinecraft: Pocket Edition initially received mixed reviews from critics. Although reviewers appreciated the game's intuitive controls, they were disappointed by the lack of content. The inability to collect resources and craft items, as well as the limited types of blocks and lack of hostile mobs, were especially criticized.[231][255][256] After updates added more content, Pocket Edition started receiving more positive reviews. Reviewers complimented the controls and the graphics, but still noted a lack of content.[231]\n\n\nSales\n\nMinecraft surpassed over a million purchases less than a month after entering its beta phase in early 2011.[257][258] At the same time, the game had no publisher backing and has never been commercially advertised except through word of mouth,[259] and various unpaid references in popular media such as the Penny Arcade webcomic.[260] By April 2011, Persson estimated that Minecraft had made €23 million (US$33 million) in revenue, with 800,000 sales of the alpha version of the game, and over 1 million sales of the beta version.[261] In November 2011, prior to the game's full release, Minecraft beta surpassed 16 million registered users and 4 million purchases.[262] By March 2012, Minecraft had become the 6th best-selling PC game of all time.[263] As of 10 October 2014[update], the game had sold 17 million copies on PC, becoming the best-selling PC game of all time.[264] On 25 February 2014, the game reached 100 million registered users.[265] By May 2019, 180 million copies had been sold across all platforms, making it the single best-selling video game of all time. The free-to-play Minecraft China version had over 300 million players by November 2019.[266] By April 2021, Minecraft sold more than 238 million copies worldwide.[267] As of 2023, the game has sold over 300 million copies.[268]\n\nThe Xbox 360 version of Minecraft became profitable within the first day of the game's release in 2012, when the game broke the Xbox Live sales records with 400,000 players online.[269] Within a week of being on the Xbox Live Marketplace, Minecraft sold a million copies.[270] GameSpot announced in December 2012 that Minecraft sold over 4.48 million copies since the game debuted on Xbox Live Arcade in May 2012.[271] In 2012, Minecraft was the most purchased title on Xbox Live Arcade; it was also the fourth most played title on Xbox Live based on average unique users per day.[272] As of 4 April 2014[update], the Xbox 360 version has sold 12 million copies.[273] In addition, Minecraft: Pocket Edition has reached a figure of 21 million in sales.[274] The PlayStation 3 Edition sold one million copies in five weeks.[275] The release of the game's PlayStation Vita version boosted Minecraft sales by 79%, outselling both PS3 and PS4 debut releases and becoming the largest Minecraft launch on a PlayStation console.[276] The PS Vita version sold 100,000 digital copies in Japan within the first two months of release, according to an announcement by SCE Japan Asia.[277] By January 2015, 500,000 digital copies of Minecraft were sold in Japan across all PlayStation platforms, with a surge in primary school children purchasing the PS Vita version.[278] As of 2022, the Vita version has sold over 1.65 million physical copies in Japan, making it the best-selling Vita game in the country.[279] Minecraft helped improve Microsoft's total first-party revenue by $63 million for the 2015 second quarter.[280]\n\nThe game, including all of its versions, had over 112 million monthly active players by September 2019.[281] On its 11th anniversary in May 2020, the company announced that Minecraft had reached over 200 million copies sold across platforms with over 126 million monthly active players.[282] By April 2021, the number of active monthly users had climbed to 140 million.[283][267][284]\n\n\nAwards\n\nIn July 2010, PC Gamer listed Minecraft as the fourth-best game to play at work.[285] In December of that year, Good Game selected Minecraft as their choice for Best Downloadable Game of 2010,[286] Gamasutra named it the eighth best game of the year as well as the eighth best indie game of the year,[287][288] and Rock, Paper, Shotgun named it the \"game of the year\".[289] Indie DB awarded the game the 2010 Indie of the Year award as chosen by voters, in addition to two out of five Editor's Choice awards for Most Innovative and Best Singleplayer Indie.[290] It was also awarded Game of the Year by PC Gamer UK.[291] The game was nominated for the Seumas McNally Grand Prize, Technical Excellence, and Excellence in Design awards at the March 2011 Independent Games Festival and won the Grand Prize and the community-voted Audience Award.[292][293] At Game Developers Choice Awards 2011, Minecraft won awards in the categories for Best Debut Game, Best Downloadable Game and Innovation Award, winning every award for which it was nominated.[294][295] It also won GameCity's video game arts award.[296] On 5 May 2011, Minecraft was selected as one of the 80 games that would be displayed at the Smithsonian American Art Museum as part of The Art of Video Games exhibit that opened on 16 March 2012.[297][298] At the 2011 Spike Video Game Awards, Minecraft won the award for Best Independent Game and was nominated in the Best PC Game category.[299][300] In 2012, at the British Academy Video Games Awards, Minecraft was nominated in the GAME Award of 2011 category and Persson received The Special Award.[301] In 2012, Minecraft XBLA was awarded a Golden Joystick Award in the Best Downloadable Game category,[302] and a TIGA Games Industry Award in the Best Arcade Game category.[303] In 2013, it was nominated as the family game of the year at the British Academy Video Games Awards.[304] During the 16th Annual D.I.C.E. Awards, the Academy of Interactive Arts & Sciences nominated the Xbox 360 version of Minecraft for \"Strategy/Simulation Game of the Year\".[305] Minecraft Console Edition won the award for TIGA Game Of The Year in 2014.[306] In 2015, the game placed 6th on USgamer's The 15 Best Games Since 2000 list.[307] In 2016, Minecraft placed 6th on Time's The 50 Best Video Games of All Time list.[308]\n\nMinecraft was nominated for the 2013 Kids' Choice Awards for Favorite App, but lost to Temple Run.[309] It was nominated for the 2014 Kids' Choice Awards for Favorite Video Game, but lost to Just Dance 2014.[310] The game later won the award for the Most Addicting Game at the 2015 Kids' Choice Awards.[311] In addition, the Java Edition was nominated for \"Favorite Video Game\" at the 2018 Kids' Choice Awards,[312] while the game itself won the \"Still Playing\" award at the 2019 Golden Joystick Awards,[313] as well as the \"Favorite Video Game\" award at the 2020 Kids' Choice Awards.[314] Minecraft also won \"Stream Game of the Year\" at inaugural Streamer Awards in 2022.[315] The game later garnered a Nickelodeon Kids' Choice Award nomination for Favorite Video Game in 2021,[316] and won the same category in 2022 and 2023.[317][318]\n\n\nControversies\n\n\n2014 EULA changes\n\nMicrosoft and Mojang announced in June 2014 that it would be changing the Minecraft end-user license agreement (EULA) to prohibit servers from accepting donations or payments in exchange for the donating or paying players receiving in-game advantages on such server, essentially banning \"pay-to-win\" servers. Mojang spokesperson Owen Hill provided examples of what it would and would not allow, saying company would allow for pay-to-play servers in which a player is required to pay a fee to access the server, or for cosmetic enhancements (such as in-game costumes or pets), but that Mojang would be cracking down on paying to obtain powerful swords or potions (providing a competitive advantage to the player versus other players). The new crackdowns were supported by Persson, citing him receiving multiple emails from parents of children who had spent hundreds of dollars on servers. The Minecraft community and server owners, however, heavily despised the new change in enforcement and protested en masse, which included comparing Mojang to monolithic video game publishers like Electronic Arts and Activision, gaming companies often criticized online for their highly restrictive digital rights management and user license agreements. Many argued that the crackdown would force smaller servers to close their doors, and some blamed the crackdown on Mojang attempting to suppress competition for its own Minecraft Realms subscription service.[319]\n\n\nAccount migration\n\nIn 2020, Mojang Studios revealed that it would begin the process of requiring that Microsoft accounts be used in order to log into the Java Edition of the game, and that older Mojang Studios accounts would be sunsetted. The move to Microsoft accounts also required Java Edition players to create Xbox network Gamertags. Mojang Studios defended the move to Microsoft accounts by saying that improved security could be offered, which included Java accounts being able to use two factor authentication, players could block cyberbullies in chat, and improve parental controls. The community responded with intense backlash against this announcement, particularly taking issue to the various technical difficulties encountered in the process and how account migration would be mandatory, even for those who do not play on servers. As of 10 March 2022, Microsoft required that all players migrate in order to access the Java Edition of Minecraft.[320][321] A deadline of 19 September 2023 was announced to complete account migration, after which all legacy Mojang accounts became inaccessible and unable to be migrated.[322]\n\n\nJava Edition chat reporting\n\nIn June 2022, Microsoft and Mojang Studios announced it would be releasing a player reporting feature in all future builds of Java Edition. In earlier development builds, players could report other players on multiplayer servers for sending messages that are prohibited by the Xbox Live Code of Conduct; report categories included profane language, substance abuse, hate speech, threats of violence, and nudity, though Microsoft in later builds has since excluded the profane language category from the player reporting feature. If a player was found to be in violation of Xbox Community Standards, the player would be banned from all servers for a specific period of time or permanently. The update containing the report feature (1.19.1) was released on 27 July 2022.[323]\n\nMicrosoft and Mojang Studios received substantial backlash and protest from community members, one of the most common complaints being that banned players would be forbidden from joining any server, even private ones. Others took issue to what they saw as Microsoft increasing control over its player base and exercising censorship,[324][325][326] sparking some to dub the version \"1.19.84\", in reference to the novel Nineteen Eighty-Four, which deals with similar themes of censorship.[327][328]\n\n\nMob Vote 2023\n\nMob Vote is an annual event organized by Mojang to let voters choose which one of three mobs are to be added added to the game, based on the voting rate of the mobs and announced in an online event called Minecraft Live. As every year, a mob vote was held on 13 October 2023, in which Mojang had three candidates: crab, armadillo and penguin, and all three were introduced with their own features.[329] A controversy broke out in the Minecraft community, with participants asserting that the Mob Vote indirectly encourages toxic behavior by generating controversy within the community, and others lamenting that only one mob would be added despite Mojang allegedly possessing the resources to add all of the mobs. This ultimately resulted in many boycotting the vote, although Mojang never released any official response to the controversy, and the armadillo went on to win the vote. This situation led to hundreds of thousands of Minecraft players to sign a petition on Change.org demanding that Mojang eliminate the Mob Vote and add all the content to the game.[330]\n\n\nCultural impact\n\nIn September 2019, The Guardian classified Minecraft as the best video game of (the first two decades of) the 21st century,[331] and in November 2019\nPolygon called the game the \"most important game of the decade\" in its 2010s \"decade in review\".[332] In December 2019, Forbes gave Minecraft a special mention in a list of the best video games of the 2010s, stating that the game is \"without a doubt one of the most important games of the last ten years.\"[333] In June 2020, Minecraft was inducted into the World Video Game Hall of Fame.[334]\n\nMinecraft is recognized as one of the first successful games to use an early access model to draw in sales prior to its full release version to help fund development.[335] As Minecraft helped to bolster indie game development in the early 2010s, it also helped to popularize the use of the early access model in indie game development.[336]\n\nSocial media sites such as YouTube, Facebook, and Reddit have played a significant role in popularizing Minecraft.[337] Research conducted by the University of Pennsylvania's Annenberg School of Communication showed that one-third of Minecraft players learned about the game via Internet videos.[338] In 2010, Minecraft-related videos began to gain influence on YouTube, often made by commentators. The videos usually contain screen-capture footage of the game and voice-overs.[339] Common coverage in the videos includes creations made by players, walkthroughs of various tasks, and parodies of works in popular culture. By May 2012, over four million Minecraft-related YouTube videos had been uploaded.[340] The game would go on to be a prominent fixture within YouTube's gaming scene during the entire 2010s; in 2014, it was the second-most searched term on the entire platform.[341] By 2018, it was still YouTube's biggest game globally.[342]\n\nSome popular commentators have received employment at Machinima, a now-defunct gaming video company that owned a highly watched entertainment channel on YouTube.[339] The Yogscast is a British company that regularly produces Minecraft videos; their YouTube channel has attained billions of views, and their panel at Minecon 2011 had the highest attendance.[339][343] Other well-known YouTube personalities include Jordan Maron, who has created many Minecraft parodies, including \"Minecraft Style\", a parody of the internationally successful single \"Gangnam Style\" by South Korean rapper Psy.[344] Minecraft's popularity on YouTube was described by Polygon as quietly dominant, although in 2019, thanks in part to PewDiePie's playthroughs of the game, Minecraft experienced a visible uptick in popularity on the platform.[341][345] YouTube later announced that on 14 December 2021 that the total amount of Minecraft-related views exceeded one trillion since the game's inception in 2009.[346]\n\nMinecraft has been referenced by other video games, such as Torchlight II, Team Fortress 2,[347][348] Borderlands 2, Choplifter HD, Super Meat Boy, The Elder Scrolls V: Skyrim, The Binding of Isaac, The Stanley Parable, FTL: Faster Than Light,[349][350] and Super Smash Bros. Ultimate, the latter of which features a downloadable character and stage based on Minecraft.[351] It was also referenced by electronic music artist deadmau5 in his performances.[352] The game is also referenced heavily in \"Informative Murder Porn\", the second episode of the seventeenth season of the animated television series South Park.[353]\n\n\nApplications\n\nThe possible applications of Minecraft have been discussed extensively, especially in the fields of computer-aided design (CAD) and education. In a panel at Minecon 2011, a Swedish developer discussed the possibility of using the game to redesign public buildings and parks, stating that rendering using Minecraft was much more user-friendly for the community, making it easier to envision the functionality of new buildings and parks.[339] In 2012, a member of the Human Dynamics group at the MIT Media Lab, Cody Sumter, said: \"Notch hasn't just built a game. He's tricked 40 million people into learning to use a CAD program.\" Various software has been developed to allow virtual designs to be printed using professional 3D printers or personal printers such as MakerBot and RepRap.[354]\n\nIn September 2012, Mojang began the Block by Block project in cooperation with UN Habitat to create real-world environments in Minecraft.[355][356] The project allows young people who live in those environments to participate in designing the changes they would like to see. Using Minecraft, the community has helped reconstruct the areas of concern, and citizens are invited to enter the Minecraft servers and modify their own neighborhood. Carl Manneh, Mojang's managing director, called the game \"the perfect tool to facilitate this process\", adding \"The three-year partnership will support UN-Habitat's Sustainable Urban Development Network to upgrade 300 public spaces by 2016.\" Mojang signed Minecraft building community, FyreUK, to help render the environments into Minecraft. The first pilot project began in Kibera, one of Nairobi's informal settlements and is in the planning phase. The Block by Block project is based on an earlier initiative started in October 2011, Mina Kvarter (My Block), which gave young people in Swedish communities a tool to visualize how they wanted to change their part of town. According to Manneh, the project was a helpful way to visualize urban planning ideas without necessarily having a training in architecture. The ideas presented by the citizens were a template for political decisions.[357][358]\n\nIn April 2014, the Danish Geodata Agency generated all of Denmark in fullscale in Minecraft based on their own geodata.[359] This is possible because Denmark is one of the flattest countries with the highest point at 171 meters (ranking as the country with the 30th smallest elevation span), where the limit in default Minecraft was around 192 meters above in-game sea level when the project was completed.[360][361]\n\nTaking advantage of the game's accessibility where other websites are censored, the non-governmental organization Reporters Without Borders has used an open Minecraft server to create the Uncensored Library, a repository within the game of journalism by authors from countries (including Egypt, Mexico, Russia, Saudi Arabia and Vietnam) who have been censored and arrested, such as Jamal Khashoggi.[362] The neoclassical virtual building was created over about 250 hours by an international team of 24 people.[363]\n\nDespite its unpredictable nature, Minecraft has become a popular game for speedrunning, where players time themselves from being dropped into a new world to reaching The End and defeating the Ender Dragon boss. Some speedrunners use a combination of mods, external programs, and debug menus, while other runners play the game in a more vanilla or more consistency-oriented way.[364][365]\n\n\nEducation\n\nMinecraft has also been used in educational settings.[366] In 2011, an educational organization named MinecraftEdu was formed with the goal of introducing Minecraft into schools. The group works with Mojang to make the game affordable and accessible to schools. The version of Minecraft through MinecraftEdu includes unique features to allow teachers to monitor the students' progress within the virtual world, such as receiving screenshots from students to show completion of a lesson.[367] In September 2012, MinecraftEdu said that approximately 250,000 students around the world have access to Minecraft through the company.[368] A wide variety of educational activities involving the game have been developed to teach students various subjects, including history, language arts and science. For an example, one teacher built a world consisting of various historical landmarks for students to learn and explore.[368] Another teacher created a large-scale representation of an animal cell within Minecraft that student could explore and learn how cell functions work.[367] Great Ormond Street Hospital has been recreated in Minecraft, and it proposed that patients can use it to virtually explore the hospital before they visit it in real life.[369] Minecraft may also prove as an innovation in computer-aided design.[370] Minecraft offers an outlet of collaboration in design and could have an impact on the industry.[371]\n\nWith the introduction of redstone blocks to represent electrical circuits, users have been able to build functional virtual computers within Minecraft.[372] Such virtual creations include a working hard drive,[373] an 8-bit virtual computer,[374] and even a smaller-scale version of Minecraft that is playable and able to be built completely in survival mode with no external modifications.[375] In at least one instance, a mod has been created to use this feature to teach younger players how to program within a language set by a virtual computer within a Minecraft world.[376]\n\nAnother computational mechanic in Minecraft is the command block, a block that is only accessible in creative mode and can alter game logic. It has been used to create emulators for the Atari 2600 (including one by YouTube personality SethBling)[377][378] and the Game Boy Advance.[379]\n\nIn September 2014, the British Museum in London announced plans to recreate its building along with all exhibits in Minecraft in conjunction with members of the public.[380] Microsoft and the non-profit organisation Code.org had teamed up to offer Minecraft-based games, puzzles, and tutorials aimed to help teach children how to program; by March 2018, Microsoft and Code.org reported that more than 85 million children have used their tutorials.[381]\n\n\nClones\n\nFollowing the initial surge in popularity of Minecraft in 2010, other video games were criticised for having various similarities to Minecraft, and some were described as being \"clones\", often due to a direct inspiration from Minecraft, or a superficial similarity. Examples include Ace of Spades, CastleMiner, CraftWorld, FortressCraft, Terraria, BlockWorld 3D, Total Miner,[382] and Minetest.[383] David Frampton, designer of The Blockheads, reported that one failure of his 2D game was the \"low resolution pixel art\" that too closely resembled the art in Minecraft, which resulted in \"some resistance\" from fans.[384] A homebrew adaptation of the alpha version of Minecraft for the Nintendo DS, titled DScraft, has been released; it has been noted for its similarity to the original game considering the technical limitations of the system.[385] In response to Microsoft's acquisition of Mojang and their Minecraft IP, various developers announced further clone titles developed specifically for Nintendo's consoles, as they were the only major platforms not to officially receive Minecraft at the time.[386] These clone titles include UCraft (Nexis Games),[387] Cube Life: Island Survival (Cypronia),[388] Discovery (Noowanda),[389] Battleminer (Wobbly Tooth Games),[390] Cube Creator 3D (Big John Games),[391] and Stone Shire (Finger Gun Games).[392] Despite this, the fears of fans were unfounded, with official Minecraft releases on Nintendo consoles eventually resuming.[393][394][395]\n\nMarkus Persson made another similar game, Minicraft, for a Ludum Dare competition in 2011.[396]\n\n\nMinecon\n\nMain article: Minecon\n\nMinecon is the annual official fan convention dedicated to Minecraft. The first Minecon was held in November 2011 at the Mandalay Bay Hotel and Casino in Las Vegas.[397] The event included the official launch of Minecraft; keynote speeches, including one by Persson; building and costume contests; Minecraft-themed breakout classes; exhibits by leading gaming and Minecraft-related companies; commemorative merchandise; and autograph and picture times with Mojang employees and well-known contributors from the Minecraft community.[398] In 2016, Minecon was held in-person for the last time, with the following years featuring annual livestreams instead.\n\n\nNotes\n\n^ Minecraft was first publicly available on 17 May 2009,[1] and, following many developmental phases over the next two years, was fully released on 18 November 2011.[2]\n^ The original versions of the game for consoles (known as \"legacy console\" editions) were developed by 4J Studios. Additional studios responsible for helping develop specific versions of the game include Xbox Game Studios and SkyBox Labs for the Bedrock Edition, Other Ocean Interactive for the version on New Nintendo 3DS, and NetEase for the localized version released in mainland China.\n^ Versions of the game on PlayStation consoles are published by Sony Interactive Entertainment, while the version of the game in mainland China is published by NetEase.\n^ Left Mojang Studios in 2014.\n^ Additional work done by Lena Raine, Kumi Tanioka, Aaron Cherof, Samuel Åberg, and Gareth Coker.\n"
}
```